
From: Christoph Hellwig <hch@lst.de>

cutting back some unused legacy PM code

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/pm.h |    5 -----
 25-akpm/kernel/power/pm.c  |   31 -------------------------------
 2 files changed, 36 deletions(-)

diff -puN include/linux/pm.h~remove-pm_find-unexport-pm_send include/linux/pm.h
--- 25/include/linux/pm.h~remove-pm_find-unexport-pm_send	Tue Sep  7 16:23:39 2004
+++ 25-akpm/include/linux/pm.h	Tue Sep  7 16:23:39 2004
@@ -128,11 +128,6 @@ int pm_send(struct pm_dev *dev, pm_reque
  */
 int pm_send_all(pm_request_t rqst, void *data);
 
-/*
- * Find a device
- */
-struct pm_dev *pm_find(pm_dev_t type, struct pm_dev *from);
-
 static inline void pm_access(struct pm_dev *dev) {}
 static inline void pm_dev_idle(struct pm_dev *dev) {}
 
diff -puN kernel/power/pm.c~remove-pm_find-unexport-pm_send kernel/power/pm.c
--- 25/kernel/power/pm.c~remove-pm_find-unexport-pm_send	Tue Sep  7 16:23:39 2004
+++ 25-akpm/kernel/power/pm.c	Tue Sep  7 16:23:39 2004
@@ -256,41 +256,10 @@ int pm_send_all(pm_request_t rqst, void 
 	return 0;
 }
 
-/**
- *	pm_find  - find a device
- *	@type: type of device
- *	@from: where to start looking
- *
- *	Scan the power management list for devices of a specific type. The
- *	return value for a matching device may be passed to further calls
- *	to this function to find further matches. A %NULL indicates the end
- *	of the list. 
- *
- *	To search from the beginning pass %NULL as the @from value.
- *
- *	The caller MUST hold the pm_devs_lock lock when calling this 
- *	function. The instant that the lock is dropped all pointers returned
- *	may become invalid.
- */
- 
-struct pm_dev *pm_find(pm_dev_t type, struct pm_dev *from)
-{
-	struct list_head *entry = from ? from->entry.next:pm_devs.next;
-	while (entry != &pm_devs) {
-		struct pm_dev *dev = list_entry(entry, struct pm_dev, entry);
-		if (type == PM_UNKNOWN_DEV || dev->type == type)
-			return dev;
-		entry = entry->next;
-	}
-	return NULL;
-}
-
 EXPORT_SYMBOL(pm_register);
 EXPORT_SYMBOL(pm_unregister);
 EXPORT_SYMBOL(pm_unregister_all);
-EXPORT_SYMBOL(pm_send);
 EXPORT_SYMBOL(pm_send_all);
-EXPORT_SYMBOL(pm_find);
 EXPORT_SYMBOL(pm_active);
 
 
_
